# getSubscriptionAccount

### Arguments

| Argument                                             | Description |
| ---------------------------------------------------- | ----------- |
| id ([ID](/graphql-api/api-reference/objects/id.md)!) |             |

### Return fields

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

The date and time when the subscription account was created.

#### firstSubscription ([Subscription](/graphql-api/api-reference/objects/subscription.md))

The first subscription created for this account.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The id of the subscription account.

#### status ([SubscriptionAccountStatus](/graphql-api/api-reference/objects/subscription-account-status.md)!)

The current status of the subscription account.

#### subscriptions ([SubscriptionConnection](/graphql-api/api-reference/objects/subscription-connection.md))

List of subscriptions associated with this account.

| Argument                                                        | Description                                                             |
| --------------------------------------------------------------- | ----------------------------------------------------------------------- |
| after ([String](/graphql-api/api-reference/objects/string.md))  | Returns the elements in the list that come after the specified cursor.  |
| before ([String](/graphql-api/api-reference/objects/string.md)) | Returns the elements in the list that come before the specified cursor. |
| first ([Int](/graphql-api/api-reference/objects/int.md))        | Returns the first *n* elements from the list.                           |
| last ([Int](/graphql-api/api-reference/objects/int.md))         | Returns the last *n* elements from the list.                            |

#### updatedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

The date and time when the subscription account was last updated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries/get-subscription-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
